import setuptools

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    name="TOF-SIMS",
    version="1.1.0",
    author="Remi Branco, Daniel Oldfield",
    author_email="remi.branco@hotmail.fr, daniel.thomas.oldfield@gmail.com",
    description="Open and process 3D datasets generated by TESCAN FERA Xe plasma FIB-SEM with ToF-SIMS microscopes",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/Remi-Branco/TOF-SIMS-package",
    packages=setuptools.find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
        "Operating System :: OS Independent",
        "Development Status :: 5 - Production/Stable",
        "Framework :: IPython",
        "Intended Audience :: Science/Research",
        "Natural Language :: English",
        "Topic :: Scientific/Engineering :: Artificial Intelligence",

    ],
    python_requires='>=3.6',
)
